
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle 11G R2 用exp无法导出空表解决方法 / iVAN</title>

    <meta name="description" content="Oracle 11G R2 用exp无法导出空表解决方法 Oracle 11G在用EXPORT导出时空表不能导出 11G R2中有个新特性当表无数据时不分配segment以节省空间 解决方法 一. insert一行再rollback就产生segment了. 该方法是在在空表中插入数据再删除则产生segment.导出时则可导出 空表. 二. 设置deferred_segment_creation 参数 该参数值默认是TRUE当改为FALSE时无论是空表还是非空表都分配 segment.修改SQL语句 alter system se">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle 11G R2 用exp无法导出空表解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Oracle 11G在用EXPORT导出时空表不能导出  <br />
  11G R2中有个新特性当表无数据时不分配segment以节省空间  <br />
  解决方法  <br />
一、 insert一行再rollback就产生segment了。  <br />
  该方法是在在空表中插入数据再删除则产生segment。导出时则可导出 <br />
空表。  <br />
二、 设置deferred_segment_creation 参数  <br />
该参数值默认是TRUE当改为FALSE时无论是空表还是非空表都分配 <br />
segment。修改SQL语句  <br />
alter system set deferred_segment_creation=false scope=both;</p>
<p>需注意的是该值设置后对以前导入的空表不产生作用仍不能导出只能 <br />
对后面新增的表产生作用。如需导出之前的空表只能用第一种方法。  <br />
三、 用以下这句查找空表  <br />
  select ‘alter table ‘||table_name||’ allocate extent;’ from user_tables where  <br />
num_rows=0;  <br />
  把查询结果导出执行导出的语句强行修改segment值然后再导出即可 <br />
导出空表  <br />
注意数据库插入数据前修改11g_R2参数可以导出空表  <br />
查找空表  <br />
select ‘alter table ‘||table_name||’ allocate extent;’ from user_tables where  <br />
num_rows=0</p>
<p>四、 Oracle 10g以后增加了expdp和impdp工具用此 <br />
工具也可以导出空的表  <br />
oracle expdp/impdp 用法详解  <br />
1) 创建逻辑目录该命令不会在操作系统创建真正的目录最好以system等 <br />
管理员创建。  <br />
create directory db_bak as ‘d:\test\dump’;  <br />
 2) 查看管理理员目录同时查看操作系统是否存在因为Oracle并不关心该目 <br />
录是否存在如果不存在则出错  <br />
select * from dba_directories;</p>
<p>3) 给system用户赋予在指定目录的操作权限最好以system等管理员赋予。  <br />
grant read,write on directory db_bak to system;</p>
<p>4) 导出数据  <br />
 按用户导  <br />
expdp system/manager@orcl schemas=system dumpfile=expdp.dmp  <br />
DIRECTORY=db_bak <br />
 并行进程parallel  <br />
expdp system/manager@orcl directory=db_bak dumpfile=system3.dmp parallel=40  <br />
job_name=system3  <br />
 按表名导  <br />
expdp system/manager@orcl TABLES=emp,dept dumpfile=expdp.dmp  <br />
DIRECTORY=db_bak;  <br />
 按查询条件导  <br />
expdp system/manager@orcl directory=db_bak dumpfile=expdp.dmp Tables=emp  <br />
query=’WHERE deptno=20’;  <br />
 按表空间导  <br />
expdp system/manager DIRECTORY=db_bak DUMPFILE=tablespace.dmp  <br />
TABLESPACES=temp,example;  <br />
 导整个数据库  <br />
expdp system/mtmadmin DIRECTORY=db_bak DUMPFILE=full.dmp FULL=y</p>
<p>5) 五、还原数据  <br />
 1)导到指定用户下  <br />
impdp system/manager DIRECTORY=db_bak DUMPFILE=expdp.dmp  <br />
SCHEMAS=system;  <br />
 2)改变表的owner  <br />
impdp system/manager DIRECTORY=db_bak DUMPFILE=expdp.dmp  <br />
TABLES=system.dept REMAP_SCHEMA=system:system;  <br />
 3)导入表空间  <br />
impdp system/manager DIRECTORY=db_bak DUMPFILE=tablespace.dmp  <br />
TABLESPACES=example;  <br />
 4)导入数据库  <br />
impdb system/mtmadmin DIRECTORY=db_bak DUMPFILE=full.dmp FULL=y;  <br />
 5)追加数据  <br />
impdp system/manager DIRECTORY=db_bak DUMPFILE=expdp.dmp  <br />
SCHEMAS=system TABLE_EXISTS_ACTION=append;  <br />
五、 Expdp/Impdp的相关参数  <br />
EXPDP命令行选项  <br />
1. ATTACH  <br />
该选项用于在客户会话与已存在导出作用之间建立关联.语法如下  <br />
ATTACH=[schema_name.]job_name  <br />
Schema_name用于指定方案名,job_name用于指定导出作业名.注意,如果使用 <br />
ATTACH选项,在命令行除了连接字符串和ATTACH选项外,不能指定任何其他选项, <br />
示例如下:  <br />
Expdp system/manager ATTACH=system.export_job  <br />
2. CONTENT  <br />
该选项用于指定要导出的内容.默认值为ALL  <br />
CONTENT={ALL | DATA_ONLY | METADATA_ONLY}  <br />
当设置CONTENT为ALL 时,将导出对象定义及其所有数据.为DATA_ONLY时,只导 <br />
出对象数据,为METADATA_ONLY时,只导出对象定义  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dump  <br />
CONTENT=METADATA_ONLY  <br />
3. DIRECTORY  <br />
指定转储文件和日志文件所在的目录  <br />
DIRECTORY=directory_object  <br />
Directory_object用于指定目录对象名称.需要注意,目录对象是使用CREATE  <br />
DIRECTORY语句建立的对象,而不是OS 目录  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dump  <br />
建立目录:  <br />
CREATE DIRECTORY dump as ‘d:dump’;  <br />
查询创建了那些子目录:  <br />
SELECT * FROM dba_directories;  <br />
4. DUMPFILE  <br />
用于指定转储文件的名称,默认名称为expdat.dmp  <br />
DUMPFILE=<em>directory_object:+file_name </em>,….+  <br />
Directory_object用于指定目录对象名,file_name用于指定转储文件名.需要注意, <br />
如果不指定directory_object,导出工具会自动使用DIRECTORY选项指定的目录对 <br />
象  <br />
Expdp system/manager DIRECTORY=dump1 DUMPFILE=dump2:a.dmp  <br />
5. ESTIMATE  <br />
指定估算被导出表所占用磁盘空间分方法.默认值是BLOCKS  <br />
EXTIMATE={BLOCKS | STATISTICS}  <br />
设置为BLOCKS时,oracle会按照目标对象所占用的数据块个数乘以数据块尺寸估 <br />
算对象占用的空间,设置为STATISTICS时,根据最近统计值估算对象占用空间  <br />
Expdp system/manager TABLES=emp ESTIMATE=STATISTICS  <br />
DIRECTORY=dump DUMPFILE=a.dump  <br />
6. EXTIMATE_ONLY  <br />
指定是否只估算导出作业所占用的磁盘空间,默认值为N  <br />
EXTIMATE_ONLY={Y | N} <br />
设置为Y时,导出作用只估算对象所占用的磁盘空间,而不会执行导出作业,为N时, <br />
不仅估算对象所占用的磁盘空间,还会执行导出操作.  <br />
Expdp system/manager ESTIMATE_ONLY=y NOLOGFILE=y  <br />
7. EXCLUDE  <br />
该选项用于指定执行操作时释放要排除对象类型或相关对象  <br />
EXCLUDE=object_type*:name_clause+ *,….+  <br />
Object_type用于指定要排除的对象类型,name_clause用于指定要排除的具体对 <br />
象.EXCLUDE和INCLUDE不能同时使用  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dup EXCLUDE=VIEW  <br />
8. FILESIZE  <br />
指定导出文件的最大尺寸,默认为0,(表示文件尺寸没有限制)  <br />
9. FLASHBACK_SCN  <br />
指定导出特定SCN时刻的表数据  <br />
FLASHBACK_SCN=scn_value  <br />
Scn_value用于标识SCN值.FLASHBACK_SCN和FLASHBACK_TIME不能同时使用  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dmp  <br />
FLASHBACK_SCN=358523  <br />
10. FLASHBACK_TIME  <br />
指定导出特定时间点的表数据  <br />
FLASHBACK_TIME=”TO_TIMESTAMP(time_value)”  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dmp FLASHBACK_TIME=  <br />
“TO_TIMESTAMP(’25-08-2004 14:35:00’,’DD-MM-YYYY HH24:MI:SS’)”</p>
<ol>
<li>FULL  <br />
指定数据库模式导出,默认为N  <br />
FULL={Y | N}  <br />
为Y时,标识执行数据库导出.</li>
<li>HELP  <br />
指定是否显示EXPDP命令行选项的帮助信息,默认为N  <br />
当设置为Y时,会显示导出选项的帮助信息.  <br />
Expdp help=y</li>
<li>INCLUDE  <br />
指定导出时要包含的对象类型及相关对象  <br />
INCLUDE = object_type*:name_clause+ *,… +</li>
<li>JOB_NAME  <br />
指定要导出作用的名称,默认为SYS_XXX  <br />
JOB_NAME=jobname_string</li>
<li>LOGFILE  <br />
指定导出日志文件文件的名称,默认名称为export.log  <br />
LOGFILE=[directory_object:]file_name  <br />
Directory_object用于指定目录对象名称,file_name用于指定导出日志文件名.如 <br />
果不指定directory_object.导出作用会自动使用DIRECTORY的相应选项值.  <br />
Expdp system/manager DIRECTORY=dump DUMPFILE=a.dmp logfile=a.log</li>
<li>NETWORK_LINK  <br />
指定数据库链名,如果要将远程数据库对象导出到本地例程的转储文件中,必须设 <br />
置该选项.</li>
<li>NOLOGFILE  <br />
该选项用于指定禁止生成导出日志文件,默认值为N.</li>
<li>PARALLEL  <br />
指定执行导出操作的并行进程个数,默认值为1</li>
<li>PARFILE  <br />
指定导出参数文件的名称  <br />
PARFILE=[directory_path] file_name</li>
<li>QUERY  <br />
用于指定过滤导出数据的where条件  <br />
QUERY=[schema.] [table_name:] query_clause  <br />
Schema 用于指定方案名,table_name用于指定表名,query_clause用于指定条件 <br />
限制子句.QUERY选项不能与  <br />
CONNECT=METADATA_ONLY,EXTIMATE_ONLY,TRANSPORT_TABLESPACES等选项同 <br />
时使用.  <br />
Expdp system/manager directory=dump dumpfiel=a.dmp  <br />
Tables=emp query=’WHERE deptno=20’</li>
<li>SCHEMAS  <br />
该方案用于指定执行方案模式导出,默认为当前用户方案.</li>
<li>STATUS  <br />
指定显示导出作用进程的详细状态,默认值为0</li>
<li>TABLES  <br />
指定表模式导出  <br />
TABLES=<em>schema_name.+table_name</em>:partition_name+*,…+  <br />
Schema_name用于指定方案名,table_name用于指定导出的表名,partition_name <br />
用于指定要导出的分区名.</li>
<li>TABLESPACES  <br />
指定要导出表空间列表</li>
<li>TRANSPORT_FULL_CHECK  <br />
该选项用于指定被搬移表空间和未搬移表空间关联关系的检查方式,默认为N.  <br />
当设置为Y时,导出作用会检查表空间直接的完整关联关系,如果表空间所在表空 <br />
间或其索引所在的表空间只有一个表空间被搬移,将显示错误信息.当设置为N时,  <br />
导出作用只检查单端依赖,如果搬移索引所在表空间,但未搬移表所在表空间,将 <br />
显示出错信息,如果搬移表所在表空间,未搬移索引所在表空间,则不会显示错误 <br />
信息.</li>
<li>TRANSPORT_TABLESPACES  <br />
指定执行表空间模式导出</li>
<li>VERSION  <br />
指定被导出对象的数据库版本,默认值为COMPATIBLE.  <br />
VERSION={COMPATIBLE | LATEST | version_string}  <br />
为COMPATIBLE时,会根据初始化参数COMPATIBLE生成对象元数据;为LATEST时, <br />
会根据数据库的实际版本生成对象元数据.version_string用于指定数据库版本字 <br />
符串.调用EXPDP  <br />
使用EXPDP工具时,其转储文件只能被存放在DIRECTORY对象对应的OS目录中, <br />
而不能直接指定转储文件所在的OS目录.因此,  <br />
使用EXPDP工具时,必须首先建立DIRECTORY对象.并且需要为数据库用户授予使 <br />
用DIRECTORY对象权限</li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 20:44:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%a9%ba%e9%97%b4/" title="表空间">表空间</a>, <a href="https://www.iamivan.net/tag/dump/" title="dump">dump</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle 11G R2 用exp无法导出空表解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyx61z.html" rel="bookmark">Oracle11G R2 用exp无法导出空表解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle11G R2 用exp无法导出空表解决方法 作者:吴伟龙  Name:Prudence Woo QQ:286507175 msn:happy-wuweilong@hotmail.com         在11G R2中有个新特性,当表无数据时,不分配segment,以节省空间Oracle当然在执行export导出时,空表则无法导出,但是还是有解决办法的: 解决方法:   一.insert一行,再rollback就产生segment了. 该方法是在在空表中插入数据,再删除,则产生seg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3No7Jz.html" rel="bookmark">如何解决Oracle 11G R2 用exp无法导出空表的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 11G在用EXPORT导出时,空表不能导11G R2中有个新特性,当表无数据时,不分配segment,以节省空间 解决方法: insert一行,再rollback就产生segment了.该方法是在在空表中插入数据,再删除,则产生segment.导出时则可导出空表. 设置deferred_segment_creation 参数 ,该参数值默认是TRUE,当改为FALSE时,无论是空表还是非空表,都分配segment.修改SQL语句: alter system set deferred			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkGa7b.html" rel="bookmark">Oracle 11gR2 用exp无法导出空表解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle 11gR2 用exp无法导出空表解决方法        在11gR2中有个新特性,当表无数据时,不分配segment以节省空间,Oracle 当然在执行export导出时,空表则无法导出,但是还是有解决办法的: 解决方法:一.insert一行,再rollback就产生segment了.该方法是在在空表中插入数据,再删除,则产生segment.导出时则可导出空表. 二.设置deferred_segment_creation参数  该参数值默认是TRUE,当改为FALSE时,无无是空表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDRyqp.html" rel="bookmark">&lbrack;20170315&rsqb;11&period;2&period;0&period;4 exp可以导出空表&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[20170315]11.2.0.4 exp可以导出空表.txt --链接http://www.itpub.net/thread-2084282-1-1.html,11.2.0.4可以使用exp导出空表,没有问题,测试看看.   SCOTT@book&gt; @ &amp;r/ver BANNER -------------------------------------------------------------------------------- Oracle Database 11g Ente			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8nVmp.html" rel="bookmark">ORACLE EXP不能导出空表的原因分析及解决方法&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.不能导出空表的原因 1.Oracle11g默认对空表不分配segment,故使用exp导出Oracle11g数据库时,空表不会导出. 2.设置deferred_segment_creation 参数为FALSE后,无论是空表还是非空表,都分配segment. 在sqlplus中,执行如下命令: SQL&gt;alter system set deferred_segment_creation=false; 查看: SQL&gt;show parameter deferred_segment_creat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2lEjM.html" rel="bookmark">如何在oracle 11g 中导出空表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  如何在oracle 11g 中导出空表 由于oracle 11g的 延迟段创建的新特性,导致在没有数据插入时,oracle是不会分配数据段的,进而导致exp 是不能导出11g数据库的空表的. 当然采用expdp就不存在这个问题了. expdp hr/hr schemas=hr dumpfile=expdp.dmp directory=dbtest conn hr/hr select TABLE_NAME,NUM_ROWS from user_tables; TABLE_NAME NUM_RO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8EOWNz.html" rel="bookmark">无法导出大的oracle 默认空表解决 办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ORACLE 11G在用EXPORT导出时,空表不能导出. 11G中有个新特性,当表无数据时,不分配segment,以节省空间 解决方法: 1.insert一行,再rollback就产生segment了. 该方法是在在空表中插入数据,再删除,则产生segment.导出时则可导出空表. 2.设置deferred_segment_creation 参数 该参数值默认是TRUE,当改为FALSE时,无论是空表还是非空表,都分配segment. 需注意的是:该值设置后对以前导入的空表不产生作用,仍不能导			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK0o1p.html" rel="bookmark">Oracle 11g r2全外连接优化执行计划&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在11.2中,Oracle对于全外连接的执行计划进行了优化. 在以前的版本中,全外连接的执行计划如下: SQL&gt; SELECT * FROM V$VERSION; BANNER ---------------------------------------------------------------- Oracle Database10gEnterpriseEdition Release10.2.0.3.0 - 64bi PL/SQL Release 10.2.0.3.0 - Product			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxmoAb.html" rel="bookmark">VirtualBox&plus;Oracle 11g R2 RAC的安装总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天参照Oracle Base上的文档在VirtualBox虚拟机上完成Oracle 11G R2 RAC的安装和调试,安装文档已经很详细了,但是自己是第一次在OEL上安装RAC还是遇到不少波折,现在把一些主要的问题和解决方案记录下来以供后人参考. 第一是内存问题,最低要求是每台虚拟机1.5GB的内存,由于机器内存有限没办法,刚开始只给1GB想忽悠过去,结果安装Grid Control时等好几个小时都搞不定,只好取消重新分配1.5GB给RAC1,1.2GB给RAC2,最后勉强安装完成,但操作响应			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr3avp.html" rel="bookmark" class="title">电脑检测不到移动硬盘的解决办法</a>
					<div>
						  电脑检测不到移动硬盘的解决办法           电脑检测不到移动硬盘的解决方法一: 第一.电脑USB接口电压不够,导致移动硬盘能识别,但是不能显示其中文件,建议将移动硬盘插入电脑主机背面的US ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE4vPz.html" rel="bookmark" class="title">登录时-当我登录的时候点击登录按钮的事件</a>
					<div>
						问题描述 当我登录的时候点击登录按钮的事件 private void button1_Click(object sender, EventArgs e) { try { //SqlConnection ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv4q8z.html" rel="bookmark" class="title">Adodb 官方介绍</a>
					<div>
						ado 前言 You say eether and I say eyether, You say neether and I say nyther; Eether, eyether, neether, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqQ5YM.html" rel="bookmark" class="title">在MFC和ATL工程中使用动画GIF</a>
					<div>
						CPictureEx 是一个为 MFC 程序使用的 C++ 类,对于一些需要使用JPEG 和 GIF 图像格式作为 banner 的应用程序可以借助这个类来实现.对于静态 banner 的显示使用 O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7G41M.html" rel="bookmark" class="title">&period;NET体系结构</a>
					<div>
						本文基于.NET 4.0从整体上论述.NET框架的体系结构,从新的角度对安全相关比较密切的地方进行介绍.由于本书的性质不同于编程类教程,许多细节问题只能简略概括或者略掉不讲,有疑惑的读者还望多多见谅并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M629rXM.html" rel="bookmark" class="title">数据结构学习&lpar;C&plus;&plus;&rpar;之双向链表</a>
					<div>
						原书这部分内容很多,至少相对于循环链表是很多.相信当你把单链表的指针域搞清楚后,这部分应该难不倒你.现在我的问题是,能不能从单链表派生出双向链表?&lt;?xml:namespace prefix = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4WQOp.html" rel="bookmark" class="title">Java调用Oracle的过程和函数</a>
					<div>
						/** 调用数据库里的一个函数 一个函数本质上一个返回一个结果的存储过程,这个例子示范了怎么调用有in.out和in/out参数的函数 ******************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1a7mz.html" rel="bookmark" class="title">常用PHP框架功能对比表</a>
					<div>
						  自接触PHP开发以来,已使用了不少框架,虽然对每个框架都没有专研至深,但对每一款所使用的PHP框架功能都有一些了解的.至此,本人将大家常用的一些PHP框架功能整理成表,希望对大家在选择PHP框架时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKXlAM.html" rel="bookmark" class="title">mysql 不等于 符号写法</a>
					<div>
						今天在写sql语句的时候,想确认下mysql的不等于运算符是用什么符号表示的   经过测试发现mysql中用&lt;&gt;与!=都是可以的,但sqlserver中不识别!=,所以建议用&lt;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxE2b.html" rel="bookmark" class="title">华宇拼音输入法如何输出不认识的字</a>
					<div>
						  华宇拼音输入法提供&quot;偏旁部首检字&quot;的功能.右键点击&quot;设置&quot;,选择&quot;偏旁部首检字&quot;功能,按照部首检字的方法就可以查到您要找的字. 另外,您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3P1AM.html" rel="bookmark" class="title">用photoshop制作漂亮的wallpaper</a>
					<div>
						  1.打开photoshop并创建一个文件,建议尺寸为2880X1880.添加文字 BEAUTY,字体选择: Liberator   2.使用矩形工具,创建一个大小为10的矩形 3.添加其余的文字. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJQekp.html" rel="bookmark" class="title">thinkpad联想笔记本Windows7一键恢复的方法教程</a>
					<div>
						thinkpad联想笔记本一键将你的系统恢复到初始状态,这样你就不用跑电脑城了,简单好用哦. 预装WIN7系统一键恢复到出厂状态的操作方法 (适用机型:ThinkPad SL410.SL510.X20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg39e8M.html" rel="bookmark" class="title">有扩展页表 &lpar;EPT&rpar; 的英特尔 VT-x是什么</a>
					<div>
						  有扩展页表的英特尔VT-x,也被称为二级地址转换 (SLAT),可为需要大内存的虚拟化应用提供加速.英特尔 虚拟化技术平台中的扩展页表可减少内存和电源开销成本,并通过虚拟化平台中页表管理的硬件优化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkjB5b.html" rel="bookmark" class="title">U盘格式化后的图片恢复办法</a>
					<div>
						  有时候U盘中了病毒或一不小心,U盘就被格式化了,那么有没有什么方法能够恢复被格式化的U盘数据呢?答案是肯定的,今天就教给大家一种恢复格式化U盘数据的方法. 准备工作 把存有JPG格式图片的U盘进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmeKWz.html" rel="bookmark" class="title">注册表主键的含义是什么</a>
					<div>
						  1.HKEY_CLASSES_ROOT 该主键用于管理文件系统,记录的是Windows 操作系统中所有数据文件的信息,主要记录不同文件的文件名后缀和与之对应的应用程序.当用户双击一个文档时,系统可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWJmyb.html" rel="bookmark" class="title">Android实现本地上传图片并设置为圆形头像&lowbar;Android</a>
					<div>
						先从本地把图片上传到服务器,然后根据URL把头像处理成圆形头像. 因为上传图片用到bmob的平台,所以要到bmob(http://www.bmob.cn)申请密钥. 效果图: 核心代码: 复制代码 代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxolgyb.html" rel="bookmark" class="title">PHP语法特点</a>
					<div>
						我的主攻是C, C++,之前也学过 Python, Lua 脚本语言,没有接触过PHP.这几天在学习PHP,做个笔记.  感觉PHP在语法上与C++特别相似.只要会C++,PHP基本上不用记什么.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVde1b.html" rel="bookmark" class="title">x5浏览服务-腾讯X5浏览服务内核安装问题</a>
					<div>
						问题描述 腾讯X5浏览服务内核安装问题 使用腾讯X5浏览服务,数字签名 KEY都没有错误,内核无法直接启动. X5浏览服务官网接入指南 http://x5.tencent.com/doc?id=100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lxQ9b.html" rel="bookmark" class="title">学术分享搜索平台&mdash;&mdash;中期报告</a>
					<div>
						一.      项目概况 学术分享搜索引擎主要基于爬取的学术数据,提供搜索,可视化,推荐三大块功能,并且支持用户分享感兴趣的学术资源,结合&quot;众包&quot;来打造一个更社交化的学术搜索平台. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKQrYb.html" rel="bookmark" class="title">用UIControl封装Button</a>
					<div>
						用UIControl封装Button   效果   说明 UIControl在处理超出触摸范围的触摸事件时有bug   源码 基础类 // // BaseControl.h // BaseContro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60wVNz.html" rel="bookmark" class="title">C&num;序列化与反序列化（Serializable and Deserialize）</a>
					<div>
						下面进行验证 将Person的Name属性改成Private,然后查看生成的personInfo.text,其内容如下: &lt;?xml version=&quot;1.0&quot;?&gt;&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xnWXb.html" rel="bookmark" class="title">今天第一次开通CSDN，呵呵&hellip;&hellip;</a>
					<div>
						问题描述 今天第一次开通CSDN,呵呵--刚刚加入这个大家族,希望大家多多支持-- 解决方案 解决方案二:也散几分让人家支持就一个零蛋解决方案三:那我们以前上的csdn是?解决方案四:呵呵,我以前也上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5PB7p.html" rel="bookmark" class="title">Linux 内核参数优化&lpar;for oracle&rpar;</a>
					<div>
						    Oracle 不同平台的数据库安装指导为我们部署Oracle提供了一些系统参数设置的建议值,然而建议值是在通用的情况下得出的结论,并非能完全满足不同的需求.使用不同的操作系统内核参数将使得数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwkeOM.html" rel="bookmark" class="title">化解成本压力 中小企业寄望B2B困境突围</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 胶管供应商冯先生每天习惯性打开电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x7ERb.html" rel="bookmark" class="title">poj 3067 Japan</a>
					<div>
						点击打开链接poj 3067 思路:线段树 分析: 1 题目要求的是找到所有直线的交点总数,并且题目明确指出两条直线之间最多只有一个交点 2 很明显我们应该先对这些直线进行排序:按照左边的编号从小到大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R5j7z.html" rel="bookmark" class="title">大数据爆炸时代 企业云存储该怎么玩？</a>
					<div>
						个人云存储服务早已迈向免费时代,市场对企业级别云存储的需求更加迫切.面对这样的市场趋势,企业级云存储市场的&quot;圈地运动&quot;呼之欲出,&quot;免费&quot;二字成为了各家的新玩法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk6J9M.html" rel="bookmark" class="title">富人区的超级私塾</a>
					<div>
						早教市场正一片火热,艾毅能否&quot;引火上身&quot;? 文/翟文婷 _摄影/刘海洋 2003年,跟随妻子定居北京的许尚杰其实对大陆还非常陌生.他出生于台湾,早年跟随从事教育工作的父母辗转在世界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWWO3z.html" rel="bookmark" class="title">南方数据编辑器southidceditor最新注入0day漏洞</a>
					<div>
						1.注入点:  代码如下 复制代码 news_search.asp?key=7%' union select 0,username%2BCHR(124)%2Bpassword,2,3,4,5,6,7, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYly9b.html" rel="bookmark" class="title">python命令行参数解析OptionParser类用法实例&lowbar;python</a>
					<div>
						本文实例讲述了python命令行参数解析OptionParser类的用法,分享给大家供大家参考. 具体代码如下: from optparse import OptionParser parser =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N0xZb.html" rel="bookmark" class="title">Advanced SQL Injection with MySQL&lowbar;漏洞研究</a>
					<div>
						文/图 安全天使·angel[BST]  转自 http://www.4ngel.net 作者:angel 前言 我的&lt;SQL Injection with MySQL&gt;&lt;黑客防线& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
